> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a financial account transaction

> Use this endpoint to retrieve transaction information of a specific financial account transaction.



## OpenAPI

````yaml /openapi/banklinking-20260203.json get /bank-linking/transactions/{transactionId}
openapi: 3.1.0
info:
  title: BANK LINKING
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Financial Account Connect
  - name: Financial Account Transactions
  - name: Financial Accounts
  - name: Institutions
paths:
  /bank-linking/transactions/{transactionId}:
    get:
      tags:
        - Transactions
      summary: Get a financial account transaction
      description: >-
        Use this endpoint to retrieve transaction information of a specific
        financial account transaction.
      operationId: bank-linking-transactions-get
      parameters:
        - name: transactionId
          in: path
          description: Transaction id
          required: true
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: Financial account transaction is returned
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/FinancialAccountTransaction'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '404':
          description: Financial account transaction cannot be found
          content:
            '*/*':
              schema:
                additionalProperties:
                  default: ''
                default: ''
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FinancialAccountTransaction:
      type: object
      properties:
        accountId:
          type: string
          description: >-
            The unique identifier of your account with Meld. This id will be the
            same for all calls to Meld endpoints made from this account.
        amount:
          type: number
          description: amount
        category:
          type: string
          description: transaction category
          enum:
            - INCOME
            - BILLS
            - LOAN
            - EDUCATION
            - ENTERTAINMENT
            - FOOD_AND_DRINK
            - FEE
            - FAMILY
            - HEALTH
            - HOME
            - TRANSPORTATION
            - TRAVEL
            - TRANSFER
            - MEDICAL
            - INVESTMENTS
            - SHOPPING
            - TAXES
            - OTHER
            - UNCATEGORIZED
        connectionIds:
          type: array
          description: Ids of connections used to load data for this transaction
          items:
            type: string
        currency:
          type: string
          description: currency
        customerId:
          type: string
          description: >-
            Meld generated unique identifier for your customer. This should be
            used to track customer activity.
        description:
          type: string
          description: The transaction's description
        externalCustomerId:
          type: string
          description: >-
            Your unique identifier for your customer. If maintaining your own
            customer management system this can also be used for tracking
            customer activity.
        financialAccountId:
          type: string
          description: Financial Account id
        id:
          type: string
          description: The id of the financial account transaction
        key:
          type: string
          description: >-
            When this financial account transaction is part of a paginated list,
            this key represents its position in the list
        postedDate:
          type: string
          format: date-time
          description: posted date
        recurringStatus:
          type: string
          description: >-
            Whether the transaction is a recurring transaction or not. Currently
            only supported for Plaid or MX connections
          enum:
            - UNKNOWN
            - RECURRING
            - NOT_RECURRING
        serviceProviderDetails:
          type: array
          description: >-
            Raw service provider details for the service provider transaction(s)
            associated with this Financial Account Transaction. The raw format
            varies by service provider, but each result will always contain a
            serviceProvider field and an updatedAt field. Results are ordered by
            updatedAt, with the most recent result at the start of the list, and
            the oldest at the bottom.
          items:
            type: object
            additionalProperties: {}
        status:
          type: string
          description: status
          enum:
            - PENDING
            - POSTED
            - SHADOW
            - EXPIRED
        transactionDate:
          type: string
          format: date-time
          description: transaction date
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        displayMessage:
          type: string
        errors:
          type: array
          items:
            type: string
        message:
          type: string
        requestId:
          type: string
        serviceProviderDetails:
          type: object
          additionalProperties: {}
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````